import { ConfigPreset } from '../model';
import { ConfigParams } from './ConfigService';
declare type NemgenParams = ConfigParams;
export declare class NemgenService {
    private readonly root;
    protected readonly params: NemgenParams;
    constructor(root: string, params: NemgenParams);
    run(presetData: ConfigPreset): Promise<void>;
}
export {};
